edu.isi.pegasus.planner.code.generator.condor

## Interface CondorStyle

All Known Implementing Classes:
  Abstract, Condor, CondorC, CondorG, CondorGlideIN, CondorGlideinWMS, CreamCE, GLite, SSH

    public interface CondorStyle

An interface to allow us to apply different execution styles to a job via Condor DAGMAN. Some of the common styles supported are - CondorG - Condor - Condor GlideIn

Version:
  $Revision$

### Field Summary

Fields
`static java.lang.String` `VERSION` The version number associated with this API of Code Generator.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply(AggregatedJob job)` Apply a style to an AggregatedJob
`void` `apply(Job job)` Apply a style to a job.
`void` `initialize(PegasusBag bag, CredentialHandlerFactory credentialFactory)` Initializes the Code Style implementation.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version number associated with this API of Code Generator.

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusBag bag,
                    CredentialHandlerFactory credentialFactory)
             throws CondorStyleException

Initializes the Code Style implementation.

Parameters:
  `bag` - the bag of initialization objects
  `credentialFactory` - the credential handler factory
Throws:
  `CondorStyleFactoryException` - that nests any error that might occur during the instantiation of the implementation.
  `CondorStyleException`

#### apply

    void apply(Job job)
        throws CondorStyleException

Apply a style to a job. Involves changing the job object, and optionally writing out to the Condor submit file.

Parameters:
  `job` - the `Job` object containing the job.
Throws:
  `CondorStyleException` - in case of any error occuring code generation.

#### apply

    void apply(AggregatedJob job)
        throws CondorStyleException

Apply a style to an AggregatedJob

Parameters:
  `job` - the `AggregatedJob` object containing the job.
Throws:
  `CondorStyleException` - in case of any error occuring code generation.